Package org.bgerp.plugin.telegram

# Class Config

java.lang.Object
org.bgerp.app.cfg.Config
org.bgerp.plugin.telegram.Config

public class Config extends Config

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY, log`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Config(ConfigMap config, boolean validate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMsgAskLogin()`
  `String`
  `getMsgAskPassword()`
  `String`
  `getMsgDefaultAnswer()`
  `String`
  `getMsgLinkChange()`
  `String`
  `getMsgUrlHelp()`
  `String`
  `getMsgWrongPassword()`
  `int`
  `getProcessParamId()`
  `String`
  `getProxyHost()`
  `String`
  `getProxyPort()`
  `String`
  `getProxyType()`
  `String`
  `getToken()`
  `String`
  `getUserName()`
  `int`
  `getUserParamId()`
  `boolean`
  `isBotStart()`

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Config

    protected Config(ConfigMap config, boolean validate) throws BGMessageException
    Throws:
      `BGMessageException`

- ## Method Details

  - ### getToken

    public String getToken()

  - ### getUserName

    public String getUserName()

  - ### getUserParamId

    public int getUserParamId()

  - ### getProcessParamId

    public int getProcessParamId()

  - ### isBotStart

    public boolean isBotStart()

  - ### getMsgWrongPassword

    public String getMsgWrongPassword()

  - ### getMsgAskLogin

    public String getMsgAskLogin()

  - ### getMsgAskPassword

    public String getMsgAskPassword()

  - ### getMsgLinkChange

    public String getMsgLinkChange()

  - ### getMsgDefaultAnswer

    public String getMsgDefaultAnswer()

  - ### getMsgUrlHelp

    public String getMsgUrlHelp()

  - ### getProxyHost

    public String getProxyHost()

  - ### getProxyPort

    public String getProxyPort()

  - ### getProxyType

    public String getProxyType()